/* @flow */
'use strict';

var _require = require('./projectz-util.js'),
    getLink = _require.getLink,
    getFileUrl = _require.getFileUrl;

// Get History Section


function getHistorySection(data /* :Object */) /* :string */{
	// Prepare
	var link = null;
	var file = data.filenamesForReadmeFiles.history;
	if (file) {
		link = getLink({
			url: getFileUrl(data, file),
			text: 'Discover the release history by heading on over to the <code>' + file + '</code> file.'
		});
	} else if (data.github.slug) {
		link = getLink({
			url: 'https://github.com/' + data.github.slug + '/releases',
			text: 'Discover the release history by heading on over to the releases page.'
		});
	} else {
		throw new Error('History section either requires a HISTORY file or a Github repository');
	}

	// Return
	return '<h2>History</h2>\n\n' + link;
}

// Exports
module.exports = { getHistorySection: getHistorySection };